Subject: [PATCH V3 1/5] ARM: kirkwood: Basic support for DNS-320 and DNS-325

From: [email-masked] (Arnd Bergmann)
Date: Mon, 9 Apr 2012 14:09:04 +0000

On Friday 06 April 2012, Grant Likely wrote:
> On Wed, 28 Mar 2012 08:19:59 +0000, Arnd Bergmann <[email-masked]> wrote:
> > On Tuesday 27 March 2012, Jamie Lentin wrote:
> > > Add support for the DNS-320 and DNS-325. Describe as much as currently possible
> > > in the devicetree files, create a board-dnskw.c for everything else.
> > > 
> > > Use IEEE-compliant "okay", rather than "ok"
> > > 
> > > Acked-by: Arnd Bergmann <[email-masked]>
> > > Acked-by: Jason Cooper <[email-masked]>
> > > Signed-off-by: Jamie Lentin <[email-masked]>
> > > ---
> > 
> > One small note about changeset comments: The part about differences from the previous
> > version of the same patch normally goes below the '---' line, in front of the diffstat,
> > to prevent it from going into the git changelog. Otherwise people will have no idea
> > what it's about.
> 
> Counter point on that.  I ask submitters to put the changelog before
> the --- because I want it in the commit text.  It is actually helpful
> when trying to determine exactly which iteration of a patch series got
> committed.

Fair enough, but I think in this case it was written in a confusing way. I don't
mind if a list of review comments are included and more text is usally better
in the changeset comment, but it would be nice to give some background, either
by prefixing it with something "Addressed review comments from xxx:" or changing
it to 'This version uses the IEEE-compliant "okay", rather than "ok"'.

	Arnd